com.icesoft.faces.facelets.component.duallist

## Class DualList

- java.lang.Object
- - com.icesoft.faces.facelets.component.duallist.DualList

- All Implemented Interfaces:
    java.io.Serializable

      public class DualList
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DualList()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(javax.faces.event.ActionEvent evt)`
    `void` | `addAll(javax.faces.event.ActionEvent evt)`
    `void` | `addAvailableItem(javax.faces.model.SelectItem si)`
    `void` | `addAvailableItemToRightList(javax.faces.model.SelectItem si)`
    `java.util.List` | `getLeftList()`
    `java.util.List` | `getRightList()`
    `java.lang.Object[]` | `getSelectedOnLeft()`
    `java.lang.Object[]` | `getSelectedOnRight()`
    `void` | `remove(javax.faces.event.ActionEvent evt)`
    `void` | `removeAll(javax.faces.event.ActionEvent evt)`
    `void` | `setAvailableItems(java.util.List list)`
    `void` | `setSelectedOnLeft(java.lang.Object[] selectedOnLeft)`
    `void` | `setSelectedOnRight(java.lang.Object[] selectedOnRight)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DualList

          public DualList()

  - ### Method Detail

    - #### setAvailableItems

          public void setAvailableItems(java.util.List list)

    - #### addAvailableItem

          public void addAvailableItem(javax.faces.model.SelectItem si)

    - #### addAvailableItemToRightList

          public void addAvailableItemToRightList(javax.faces.model.SelectItem si)

    - #### addAll

          public void addAll(javax.faces.event.ActionEvent evt)

    - #### removeAll

          public void removeAll(javax.faces.event.ActionEvent evt)

    - #### add

          public void add(javax.faces.event.ActionEvent evt)

    - #### remove

          public void remove(javax.faces.event.ActionEvent evt)

    - #### getSelectedOnLeft

          public java.lang.Object[] getSelectedOnLeft()

    - #### setSelectedOnLeft

          public void setSelectedOnLeft(java.lang.Object[] selectedOnLeft)

    - #### getSelectedOnRight

          public java.lang.Object[] getSelectedOnRight()

    - #### setSelectedOnRight

          public void setSelectedOnRight(java.lang.Object[] selectedOnRight)

    - #### getLeftList

          public java.util.List getLeftList()

    - #### getRightList

          public java.util.List getRightList()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.